<?php
    $config = cmsConfig::getInstance();
    $core = cmsCore::getInstance();
?>
<!DOCTYPE html>
<html lang="ru">
<head>
    <title><?php $this->title(); ?></title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
	<?php if(empty($this->options['disable_tepmlate_style'])){ ?>
		<?php $this->addMainCSS($this->getTplFilePath('css/theme-text.css', false)); ?>
		<?php $this->addMainCSS($this->getTplFilePath('css/theme-layout.css', false)); ?>
		<?php $this->addMainCSS($this->getTplFilePath('css/theme-gui.css', false)); ?>
		<?php $this->addMainCSS($this->getTplFilePath('css/theme-widgets.css', false)); ?>
		<?php $this->addMainCSS($this->getTplFilePath('css/theme-content.css', false)); ?>
		<?php $this->addMainCSS($this->getTplFilePath('css/default/theme-modal.css', false)); ?>
		<?php $this->addMainCSS($this->getTplFilePath('css/tseso.css', false)); ?>
	<?php } ?>
	
	<?php $this->addMainCSS($this->getTplFilePath('css/skins/' . (!empty($this->options['skin_style_file']) ? $this->options['skin_style_file'] : 'skin_icms2') . '.css', false)); ?>
	<?php $this->addMainCSS($this->getTplFilePath('css/skins_icons/' . (!empty($this->options['skins_icons_file']) ? $this->options['skins_icons_file'] : 'ikons_icons8') . '.css', false)); ?>

	<?php $this->addMainJS($this->getTplFilePath('js/jquery.js', false)); ?>
	<?php $this->addMainJS($this->getTplFilePath('js/jquery-modal.js', false)); ?>
	<?php $this->addMainJS($this->getTplFilePath('js/core.js', false)); ?>
	<?php $this->addMainJS($this->getTplFilePath('js/modal.js', false)); ?>
    <?php if (cmsUser::isLogged()){ //OV:: переписка ?>
		<?php $this->addMainCSS($this->getTplFilePath('css/default/theme-messaging.css', false)); ?>
		<?php $this->addMainJS($this->getTplFilePath('js/messages.js', false)); ?>
    <?php } ?>
	<?php if ($config->debug && cmsUser::isAdmin()){ //OV:: отладка ?>
		<?php $this->addMainCSS($this->getTplFilePath('css/default/theme-debug.css', false)); ?>
    <?php } ?>
	<?php if (!empty($this->options['connect_accordion_widgets'])){ ?>
		<?php $this->addMainCSS($this->getTplFilePath('accordion/accordion.css', false)); ?>
		<?php $this->addMainJS($this->getTplFilePath('accordion/accordion.js', false)); ?>
	<?php } ?>
    <!--[if lt IE 9]>
        <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/r29/html5.min.js"></script>
        <script src="//cdnjs.cloudflare.com/ajax/libs/livingston-css3-mediaqueries-js/1.0.0/css3-mediaqueries.min.js"></script>
    <![endif]-->
    <?php $this->head(); ?>
	<?php if (!empty($this->options['fixed_menu'])){ //Фиксируем меню ?>
	<link rel="stylesheet" type="text/css" href="/templates/<?php echo $this->name; ?>/css/header-trans.css">
	<script type="text/javascript">
		$(function() {
			var start_pos   = $('#scroll-init').offset().top,
				fixed_cont  = $('#fixed-cont'),
				body_margin = $('#body');
			$(window).scroll(function(){
				if ($(window).scrollTop()>=start_pos) {
					if (fixed_cont.hasClass()==false) fixed_cont.addClass('fixed_top');
				} else {
					fixed_cont.removeClass('fixed_top');
				}
				
				if ($(window).scrollTop()>=start_pos) {
					if (body_margin.hasClass()==false) body_margin.addClass('margin_page');
				} else {
					body_margin.removeClass('margin_page');
				}
			});
		});
	</script>
	<?php } //END фиксируем меню ?>
	<meta name="csrf-token" content="<?php echo cmsForm::getCSRFToken(); ?>" />
    <style><?php include('options.css.php'); ?></style>
	<?php if ($this->hasWidgetsOn('page_styling')){ ?>
		<?php $this->widgets('page_styling', false, 'wrapper_plain'); ?>
	<?php } ?>
</head>
<body id="<?php echo $device_type; ?>_device_type" class="<?php if (!empty($this->options['assing_body_class'])){ ?><?php echo $this->options['assing_body_class']; ?> <?php } ?><?php echo $this->name; ?>">

    <div id="layout">

        <?php if (!$config->is_site_on){ ?>
            <div id="site_off_notice">
                <?php if (cmsUser::isAdmin()){ ?>
                    <?php printf(ERR_SITE_OFFLINE_FULL, href_to('admin', 'settings', 'siteon')); ?>
                <?php } else { ?>
                    <?php echo ERR_SITE_OFFLINE; ?>
                <?php } ?>
            </div>
        <?php } ?>

        <header>
			<?php
				$is_header_nav = $this->hasWidgetsOn('header') || $this->hasWidgetsOn('header-right');
				$header_nav_one = ($this->hasWidgetsOn('header') && !$this->hasWidgetsOn('header-right')) || (!$this->hasWidgetsOn('header') && $this->hasWidgetsOn('header-right'));					
			?>
			<?php if($is_header_nav) { ?>
				<div class="header_nav">
					<div class="limiter">
						<?php if ($this->hasWidgetsOn('header')){ ?>
							<div class="widget_ajax_wrap<?php if($header_nav_one){ ?> header_nav_one<?php } ?>" id="widget_pos_header">
								<?php $this->widgets('header', false, 'wrapper_plain'); ?>
							</div>
						<?php } ?>
						<?php if ($this->hasWidgetsOn('header-right')){ ?>
							<div class="widget_ajax_wrap header_search normal<?php if($header_nav_one){ ?> header_nav_one<?php } ?>" id="widget_pos_header-right">
								<?php $this->widgets('header-right', false, 'wrapper_plain'); ?>
							</div>
							<div class="header_search mobile<?php if($header_nav_one){ ?> header_nav_one<?php } ?>">
								<a class="header_search_link" href="/search">Поиск</a>
							</div>
						<?php } ?>
					</div>
				</div>
			<?php } ?>
			
			<div class="header_cont limiter">
				<div id="logo"><a href="<?php echo href_to_home(); ?>"></a></div>
				<?php if ($this->hasWidgetsOn('header_banner')){ ?>
					<div class="widget_ajax_wrap header_banner" id="widget_pos_header_banner">
						<?php $this->widgets('header_banner', false, 'wrapper_plain'); ?>
					</div>
				<?php } ?>
			</div>
        </header>

        <?php if($this->hasWidgetsOn('top')) { ?>
		<div id="scroll-init" class="clear"></div>
		<div id="fixed-cont">
            <nav>
                <div class="widget_ajax_wrap limiter" id="widget_pos_top">
					<?php $this->widgets('top', false, 'wrapper_plain'); ?>
				</div>
            </nav>
			<div class="clear"></div>
		</div>
        <?php } ?>
		
		<?php if ($config->show_breadcrumbs && $this->isBreadcrumbs()){ ?>
			<div id="breadcrumbs">
				<div class="limiter">
					<?php $this->breadcrumbs(array('strip_last'=>false)); ?>
				</div>
			</div>
		<?php } ?>
        
        <div id="body">
			<div class="limiter">
				<?php
				$messages = cmsUser::getSessionMessages();
				if ($messages){ ?>
					<div class="sess_messages">
						<?php foreach($messages as $message){ ?>
							<div class="<?php echo $message['class']; ?>"><?php echo $message['text']; ?></div>
						 <?php } ?>
					</div>
				<?php } ?>
				
				<?php
					$wide_top_two = $this->hasWidgetsOn('wide-top-l') && $this->hasWidgetsOn('wide-top-r');
					$wide_top_one = ($this->hasWidgetsOn('wide-top-l') && !$this->hasWidgetsOn('wide-top-r')) || (!$this->hasWidgetsOn('wide-top-l') && $this->hasWidgetsOn('wide-top-r'));					
				?>
				
				<?php if($wide_top_two || $wide_top_one) { ?>
					<div id="wide-top">
						<?php if ($this->hasWidgetsOn('wide-top-l')){ ?>
							<div class="widget_ajax_wrap wide-top-l<?php if($wide_top_one){ ?> wide_top_one<?php } ?>" id="widget_pos_wide-top-l">	
								<?php $this->widgets('wide-top-l'); ?>
							</div>
						<?php } ?>
						<?php if ($this->hasWidgetsOn('wide-top-r')){ ?>
							<div class="widget_ajax_wrap wide-top-r<?php if($wide_top_one){ ?> wide_top_one<?php } ?>" id="widget_pos_wide-top-r">
								<?php $this->widgets('wide-top-r'); ?>
							</div>
						<?php } ?>
					</div>
				<?php } ?>
				
				<?php
					$is_sidebar = $this->hasWidgetsOn('right-top', 'right-center', 'right-bottom');
					$is_sidebar_left = $this->hasWidgetsOn('sidebar-left-top', 'sidebar-left-center', 'sidebar-left-bottom');
					
					if ($is_sidebar && $is_sidebar_left) {
						$section_class = 'section_center';
					} elseif ($is_sidebar && !$is_sidebar_left) {
						$section_class = 'section_left';
					} elseif (!$is_sidebar && $is_sidebar_left) {
						$section_class = 'section_right';
					} else {
						$section_class = 'section_only';
					}
				?>
				
				<?php if($is_sidebar_left) { ?>
					<div class="sidebar-left">
						<?php if ($this->hasWidgetsOn('sidebar-left-top')){ ?>
							<div class="widget_ajax_wrap" id="widget_pos_sidebar-left-top">
								<?php $this->widgets('sidebar-left-top'); ?>
							</div>
						<?php } ?>
						<?php if ($this->hasWidgetsOn('sidebar-left-center')){ ?>
							<div class="widget_ajax_wrap" id="widget_pos_sidebar-left-center">
								<?php $this->widgets('sidebar-left-center'); ?>
							</div>
						<?php } ?>
						<?php if ($this->hasWidgetsOn('sidebar-left-bottom')){ ?>
							<div class="widget_ajax_wrap" id="widget_pos_sidebar-left-bottom">
								<?php $this->widgets('sidebar-left-bottom'); ?>
							</div>
						<?php } ?>
					</div>
				<?php } ?>
				
				<section class="<?php echo $section_class ; ?>">
				
					<?php if ($this->hasWidgetsOn('left-top')){ ?>
						<div class="widget_ajax_wrap" id="widget_pos_left-top">
							<?php $this->widgets('left-top'); ?>
						</div>
					<?php } ?>
					
					<?php
						$top_banners_two = $this->hasWidgetsOn('top-banner-left') && $this->hasWidgetsOn('top-banner-right');
						$top_banner_one = ($this->hasWidgetsOn('top-banner-left') && !$this->hasWidgetsOn('top-banner-right')) || (!$this->hasWidgetsOn('top-banner-left') && $this->hasWidgetsOn('top-banner-right'));					
					?>
					
					<?php if($top_banners_two || $top_banner_one) { ?>
						<div id="top-banners">
							<?php if ($this->hasWidgetsOn('top-banner-left')){ ?>
								<div class="widget_ajax_wrap top-banner-left<?php if($top_banner_one) { ?> top-banner-one<?php } ?>" id="widget_pos_top-banner-left">
									<?php $this->widgets('top-banner-left'); ?>
								</div>
							<?php } ?>
							<?php if ($this->hasWidgetsOn('top-banner-right')){ ?>
								<div class="widget_ajax_wrap top-banner-right<?php if($top_banner_one) { ?> top-banner-one<?php } ?>" id="widget_pos_top-banner-right">
									<?php $this->widgets('top-banner-right'); ?>
								</div>
							<?php } ?>
						</div>
					<?php } ?>
					
					<?php if ($this->isBody()){ ?>
						<article id="article">
							
							<?php if ($this->hasWidgetsOn('action')){ ?>
								<div class="widget_ajax_wrap to_action" id="widget_pos_action">
									<?php $this->widgets('action'); ?>
								</div>
							<?php } ?>
							
							<div id="controller_wrap">
								<?php $this->block('before_body'); ?>
								<?php $this->body(); ?>
							</div>
						
						</article>
					<?php } ?>
					
					<?php if ($this->hasWidgetsOn('left-bottom')){ ?>
						<div class="widget_ajax_wrap" id="widget_pos_left-bottom">
							<?php $this->widgets('left-bottom'); ?>
						</div>
					<?php } ?>

				</section>

				<?php if($is_sidebar){ ?>
					<aside>
					<?php if ($this->hasWidgetsOn('right-top')){ ?>
						<div class="widget_ajax_wrap" id="widget_pos_right-top">
							<?php $this->widgets('right-top'); ?>
						</div>
					<?php } ?>
					<?php if ($this->hasWidgetsOn('right-center')){ ?>
						<div class="widget_ajax_wrap" id="widget_pos_right-center">
							<?php $this->widgets('right-center'); ?>
						</div>
					<?php } ?>
					<?php if ($this->hasWidgetsOn('right-bottom')){ ?>
						<div class="widget_ajax_wrap" id="widget_pos_right-bottom">
							<?php $this->widgets('right-bottom'); ?>
						</div>
					<?php } ?>
					</aside>
				<?php } ?>
				
				<?php
					$three = $this->hasWidgetsOn('three-left', 'three-center', 'three-right');
					$three_left = $this->hasWidgetsOn('three-left');
					$three_right = $this->hasWidgetsOn('three-right');
					
					if ($three_left && $three_right) {
						$three_center_class = 'three_center_center';
					} elseif ($three_left && !$three_right) {
						$three_center_class = 'three_center_right';
					} elseif (!$three_left && $three_right) {
						$three_center_class = 'three_center_left';
					} else {
						$three_center_class = 'three_center_only';
					}
				?>
				
				<?php if($three) { ?>
					<div id="three">
					<?php if($this->hasWidgetsOn('three-left')) { ?>
						<div class="widget_ajax_wrap" id="widget_pos_three-left">				
							<?php $this->widgets('three-left'); ?>
						</div>
					<?php } ?>
					<?php if($this->hasWidgetsOn('three-center')) { ?>
						<div class="widget_ajax_wrap <?php echo $three_center_class ; ?>" id="widget_pos_three-center">	
							<?php $this->widgets('three-center'); ?>
						</div>
					<?php } ?>
					<?php if($this->hasWidgetsOn('three-right')) { ?>
						<div class="widget_ajax_wrap" id="widget_pos_three-right">
							<?php $this->widgets('three-right'); ?>
						</div>
					<?php } ?>
					</div>
				<?php } ?>
				
				<?php if($this->hasWidgetsOn('wide-bottom')) { ?>
					<div id="wide-bottom">
						<div class="widget_ajax_wrap" id="widget_pos_wide-bottom">				
							<?php $this->widgets('wide-bottom'); ?>
						</div>					
					</div>
				<?php } ?>

			</div>
		</div>

        <?php if ($config->debug && cmsUser::isAdmin()){ ?>
            <div id="debug_block">
                <?php $this->renderAsset('ui/debug', array('core' => $core)); ?>
            </div>
        <?php } ?>

        <footer class="parent">
			<div class="limiter">
				<ul>
					<li id="copyright">
						<a href="<?php echo $this->options['owner_url'] ? $this->options['owner_url'] : href_to_home(); ?>">
							<?php html($this->options['owner_name'] ? $this->options['owner_name'] : cmsConfig::get('sitename')); ?></a>
						&copy;
						<?php echo $this->options['owner_year'] ? $this->options['owner_year'] : date('Y'); ?>
					</li>
					<li id="info">
						<span class="item">
							<?php echo LANG_POWERED_BY_INSTANTCMS; ?>
						</span>
						<span class="item">
							<?php echo LANG_ICONS_BY_FATCOW; ?>
						</span>
						<?php if ($config->debug && cmsUser::isAdmin()){ ?>
							<span class="item">
								<a href="#debug_block" title="<?php echo LANG_DEBUG; ?>" class="ajax-modal"><?php echo LANG_DEBUG; ?></a>
							</span>
							<span class="item">
								Time: <?php echo cmsDebugging::getTime('cms', 4); ?> s
							</span>
							<span class="item">
								Mem: <?php echo round(memory_get_usage(true)/1024/1024, 2); ?> Mb
							</span>
						<?php } ?>
					</li>
					<?php if ($this->hasWidgetsOn('footer')){ ?>
						<li id="nav">
							<div class="widget_ajax_wrap" id="widget_pos_footer">
								<?php $this->widgets('footer', false, 'wrapper_plain'); ?>
							</div>
						</li>
					<?php } ?>
				</ul>
			</div>
        </footer>

    </div>
	
	<?php if (!$core->uri){ ?>
		<script>
			$(".menu_home").addClass("active");
		</script>
    <?php } else { ?>
		<script>
			$(function(){
				if ($("li").is(".menu_home")){
					$("nav select option[value='/']").removeAttr("selected");
				}
			});
		</script>
	<?php } ?>
	<?php if ($device_type != 'desktop'){ ?>
		<script>
			$(function(){
				if ($("li").is(".menu_home")){
					$("nav select option:first-child").remove();
				} else {
					$("nav select option:first-child").text(" <?php echo LANG_HOME; ?> ");
				}
			});
		</script>
	<?php } ?>
	<?php if ($device_type == 'mobile'){ ?>
		<script>
			$(function(){
				$(".widget_user_avatar div.avatar").click(function(){
				$(".header_nav .widget_user_avatar ul.menu").toggle("fast");
				$(".header_nav div.widget_user_avatar").toggleClass("active");
				return false;
				});
			});
		</script>
	<?php } ?>
	<?php if (!empty($this->options['connect_animate_css'])){ ?>
		<link rel="stylesheet" type="text/css" href="/templates/default/css/animate.css">
	<?php } ?>
	<?php if (!empty($this->options['connect_wow_js'])){ ?>
		<script src="/templates/<?php echo $this->name; ?>/js/wow.min.js"></script>
		<script>new WOW().init();</script>
	<?php } ?>
</body>
</html>