<?php

class formTsesoTemplateOptions extends cmsForm {

    public function init() {

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_PAGE_LOGO,
                'childs' => array(
                    new fieldImage('logo', array(
                        'options' => array(
                            'sizes' => array('small', 'original')
                        )
                    )),
                )
            ),

            array(
                'type' => 'fieldset',
                'title' => LANG_TSESO_THEME_COPYRIGHT,
                'childs' => array(

                    new fieldString('owner_name', array(
                        'title' => LANG_TITLE
                    )),

                    new fieldString('owner_url', array(
                        'title' => LANG_TSESO_THEME_COPYRIGHT_URL,
                        'hint' => LANG_TSESO_THEME_COPYRIGHT_URL_HINT
                    )),

                    new fieldString('owner_year', array(
                        'title' => LANG_TSESO_THEME_COPYRIGHT_YEAR,
                        'hint' => LANG_TSESO_THEME_COPYRIGHT_YEAR_HINT
                    )),

                )
            ),

			array(
                'type' => 'fieldset',
                'title' => LANG_TSESO_THEME_SKIN,
                'childs' => array(

					new fieldList('skin_style_file', array(
					
                        'title' => LANG_TSESO_THEME_OWNER_STYLE_FILE,
						'hint'  => LANG_TSESO_THEME_OWNER_STYLE_FILE_HINT,
						'generator' => function($item) {
                            $css_file = cmsCore::getFilesList('templates/'.cmsConfig::get('template').'/css/skins', 'skin_*.css', true);
                            $css_file_default = cmsCore::getFilesList('templates/tseso/css/skins', 'skin_icms2.css', true);
                            $css_file = array_unique(array_merge($css_file, $css_file_default));
                            return $css_file ? array_combine($css_file, $css_file) : array();
                        }					
                    
					)),

					new fieldList('skins_icons_file', array(
					
                        'title' => LANG_TSESO_THEME_OWNER_IKONS_FILE,
						'hint'  => LANG_TSESO_THEME_OWNER_IKONS_FILE_HINT,
						'generator' => function($item) {
                            $css_file = cmsCore::getFilesList('templates/'.cmsConfig::get('template').'/css/skins_icons', 'ikons_*.css', true);
                            $css_file_default = cmsCore::getFilesList('templates/tseso/css/skins_icons', 'ikons_icons8.css', true);
                            $css_file = array_unique(array_merge($css_file, $css_file_default));
                            return $css_file ? array_combine($css_file, $css_file) : array();
                        }					
                    
					)),
					
					new fieldString('assing_body_class', array(
                        'title' => LANG_TSESO_THEME_ASSIGN_BODY_CLASS,
						'hint' => LANG_TSESO_THEME_ASSIGN_BODY_CLASS_HINT
                    )),

					new fieldCheckbox('connect_accordion_widgets', array(
                        'title' => LANG_TSESO_THEME_ACCORDION_WIDGETS,
                        'default' => 0
                    )),

					new fieldCheckbox('connect_animate_css', array(
                        'title' => LANG_TSESO_THEME_CONNECT_ANIMATE_CSS,
                        'default' => 0
                    )),
					
					new fieldCheckbox('connect_wow_js', array(
                        'title' => LANG_TSESO_THEME_CONNECT_WOW_JS,
                        'default' => 0
                    )),

                    new fieldCheckbox('disable_tepmlate_style', array(
                        'title' => LANG_TSESO_THEME_DISABLE_TEMLATE_STYLE,
                        'default' => 0
                    )),

					//OV:: опция и условие будут задействованы после устранения недочёта в системе
					//new fieldList('position_page_styling', array(
					//	'title' => LANG_TSESO_THEME_POSITION_PAGE_STYLING,
					//	'default' => 'position_off',
					//	'items' => array(
					//		'position_off'  => LANG_TSESO_THEME_POSITION_PAGE_STYLING_OFF,
					//		'position_on' => LANG_TSESO_THEME_POSITION_PAGE_STYLING_ON
					//	)
					//))

                )
            ),
			
			array(
                'type' => 'fieldset',
                'title' => LANG_TSESO_THEME_MENU_SETTINGS,
                'childs' => array(
				
					new fieldCheckbox('fixed_menu', array(
                        'title' => LANG_TSESO_THEME_FIXED_MENU,
                        'default' => 0
                    ))
                )
            ),
			
			array(
                'type' => 'fieldset',
                'title' => LANG_TSESO_THEME_WIDTH_SETTINGS,
                'childs' => array(

					new fieldString('maximum_width', array(
						'title' => LANG_TSESO_THEME_MAXIMUM_WIDTH,
						'default' => '100%',
						'hint' => LANG_TSESO_THEME_TEMPLATE_WIDTH_HINT
					)),
					
					new fieldString('maximum_width_header', array(
						'title' => LANG_TSESO_THEME_HEADER_MAXIMUM_WIDTH,
						'default' => '100%',
						'hint' => LANG_TSESO_THEME_MAXIMUM_WIDTH_HINT
					)),
					new fieldString('maximum_width_header_menu', array(
						'title' => LANG_TSESO_THEME_HEADER_MENU_MAXIMUM_WIDTH,
						'default' => '100%',
						'hint' => LANG_TSESO_THEME_MAXIMUM_WIDTH_HINT
					)),
					new fieldString('maximum_width_header_cont', array(
						'title' => LANG_TSESO_THEME_HEADER_CONT_MAXIMUM_WIDTH,
						'default' => '100%',
						'hint' => LANG_TSESO_THEME_MAXIMUM_WIDTH_HINT
					)),
					
					new fieldString('maximum_width_nav', array(
						'title' => LANG_TSESO_THEME_NAV_MAXIMUM_WIDTH,
						'default' => '100%',
						'hint' => LANG_TSESO_THEME_MAXIMUM_WIDTH_HINT
					)),
					new fieldString('maximum_width_nav_cont', array(
						'title' => LANG_TSESO_THEME_NAV_CONT_MAXIMUM_WIDTH,
						'default' => '100%',
						'hint' => LANG_TSESO_THEME_MAXIMUM_WIDTH_HINT
					)),
					
					new fieldString('maximum_width_breadcrumbs', array(
						'title' => LANG_TSESO_THEME_BREADCRUMBS_MAXIMUM_WIDTH,
						'default' => '100%',
						'hint' => LANG_TSESO_THEME_MAXIMUM_WIDTH_HINT
					)),
					new fieldString('maximum_width_breadcrumbs_cont', array(
						'title' => LANG_TSESO_THEME_BREADCRUMBS_CONT_MAXIMUM_WIDTH,
						'default' => '100%',
						'hint' => LANG_TSESO_THEME_MAXIMUM_WIDTH_HINT
					)),
					
					new fieldString('maximum_width_body', array(
						'title' => LANG_TSESO_THEME_BODY_MAXIMUM_WIDTH,
						'default' => '100%',
						'hint' => LANG_TSESO_THEME_MAXIMUM_WIDTH_HINT
					)),
					new fieldString('maximum_width_body_cont', array(
						'title' => LANG_TSESO_THEME_BODY_CONT_MAXIMUM_WIDTH,
						'default' => '100%',
						'hint' => LANG_TSESO_THEME_MAXIMUM_WIDTH_HINT
					)),
					
					new fieldString('maximum_width_footer', array(
						'title' => LANG_TSESO_THEME_FOOTER_MAXIMUM_WIDTH,
						'default' => '100%',
						'hint' => LANG_TSESO_THEME_MAXIMUM_WIDTH_HINT
					)),
					new fieldString('maximum_width_footer_cont', array(
						'title' => LANG_TSESO_THEME_FOOTER_CONT_MAXIMUM_WIDTH,
						'default' => '96%',
						'hint' => LANG_TSESO_THEME_MAXIMUM_WIDTH_HINT
					)),
					
					new fieldString('mobile_switch', array(
						'title' => LANG_TSESO_THEME_MOBILE_SWITCH,
						'default' => '980px',
						'hint' => LANG_TSESO_THEME_MOBILE_SWITCH_HINT
					)),
					new fieldString('maximum_width_mobile_cont', array(
						'title' => LANG_TSESO_THEME_MOBILE_CONT_MAXIMUM_WIDTH,
						'default' => '96%',
						'hint' => LANG_TSESO_THEME_MOBILE_CONT_MAXIMUM_WIDTH_HINT
					)),

                )
            ),

			array(
                'type' => 'fieldset',
                'title' => LANG_ADMIN_CONTROLLER,
                'childs' => array(

                    new fieldCheckbox('disable_help_anim', array(
                        'title' => LANG_TSESO_THEME_DISABLE_HELP_ANIM,
                        'default' => 0
                    ))

                )
            ),

			array(
                'type' => 'fieldset',
                'title' => LANG_TSESO_THEME_SHARE_YANDEX,
                'childs' => array(

                    new fieldCheckbox('share_yandex', array(
                        'title' => LANG_TSESO_THEME_SHARE_YANDEX_CONNECT,
                        'default' => 0
                    ))

                )
            )

        );

    }

}
